Bug 151462 - gcc4-c++-4.0.0-0.34.fc3 does not work with libstdc++-3.4.3-22.fc3
gcc4-c++-4.0.0-0.34.fc3 does not work with libstdc++-3.4.3-22.fc3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
http://gcc.gnu.org/ml/gcc-bugs/2005-0...
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 01:04 EST by Dmitri A. Sergatskov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gcc4-4.0.0-0.41.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 17:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 20170 None None None Never

  None (edit)
Description Dmitri A. Sergatskov 2005-03-18 01:04:32 EST
Description of problem: gcc4-c++-4.0.0-0.34.fc3 is not compatible
with libstdc++-3.4.3-22.fc3. 


Version-Release number of selected component (if applicable):
gcc4-c++-4.0.0-0.34.fc3
libstdc++-3.4.3-22.fc3

How reproducible:
always

Steps to Reproduce:
1. try to compile octave
2.
3.
  
Actual results:

make[2]: Entering directory `/home/dima/src/octave-2.9.0/src'
g++4  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -DHAVE_CONFIG_H
-mieee-fp -Wall -W -Wshadow -O2 -march=athlon-xp -pipe -rdynamic \
-L..  -fPIC  -o octave \
main.o  \ 
< ... deleted ...>
../src/liboctinterp.so: undefined reference to `__cxa_get_exception_ptr' 

Expected results:

All symbols resolved

Additional info:

Note You need to log in before you can comment on or make changes to this bug.